/************************************************|
|                                                |
|          Procedure USR_INS_CONSDWGRUPOP        |
|                                                |
|                                                |
|   Rotina para Importao dos dados referentes  |
|   ao modelo antigo de controle de acesso das   |
|   consultas salvas do CVI para o modelo novo   |
|                                                | 
|                                                |
|               Tabela Preenchida:               |
|                                                |
|                  CONSDWGRUPOP                  |
|                                                |
|     Criao:                                   |
|     20/05/2008 - Leandro Corra Gonalves      |
|                                                |
*************************************************/

IF EXISTS(SELECT name FROM sysobjects
          WHERE name = 'USR_INS_CONSDWGRUPOP')
   DROP PROCEDURE USR_INS_CONSDWGRUPOP
GO

CREATE PROCEDURE USR_INS_CONSDWGRUPOP

AS

DECLARE 

@V_CDCONSULTADW     VARCHAR(10),
@V_CDGRUPOPER	    VARCHAR(2);

BEGIN
   
   DECLARE C_CONSDW CURSOR FOR
      (
       SELECT CDCONSULTADW, CDGRUPOPER
         FROM CONSULTADW
       )
      OPEN C_CONSDW;
      FETCH NEXT FROM C_CONSDW INTO
                               @V_CDCONSULTADW, @V_CDGRUPOPER;
   
   
      WHILE (@@FETCH_STATUS = 0) BEGIN
      BEGIN TRAN
         INSERT INTO CONSDWGRUPOP
            (CDCONSULTADW, CDGRUPOPER)
         VALUES
           (@V_CDCONSULTADW, @V_CDGRUPOPER);
       
          FETCH NEXT FROM C_CONSDW INTO
                               @V_CDCONSULTADW, @V_CDGRUPOPER; 
      END;

      CLOSE C_CONSDW;
      DEALLOCATE C_CONSDW;
   
      UPDATE CONSULTADW
         SET CDGRUPOPER = NULL;     -- Desconsidera o campo CDGRUPOPER da tabela CONSULTADW
      
      COMMIT TRAN;
END;
GO



/* VERSAO */

BEGIN
  EXEC ATUVEROBJ 'USR_INS_CONSDWGRUPOP','5.03.000';
END;


 

-- VERSAO --
EXEC ATUVEROBJ 'USR_INS_CONSDWGRUPOP','5.03.009';
GO

